Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Server_Repository Class Reference

Repository of Server_Infos. More...

`#include <Repository.h>`

Collaboration diagram for Server_Repository:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Entry< ACE_TString, Server_Info *> | HASH_IMR_ENTRY
typedef ACE_Hash_Map_Manager_Ex< ACE_TString, Server_Info *, ACE_Hash<ACE_TString>, ACE_Equal_To< ACE_TString>, ACE_Null_Mutex> | HASH_IMR_MAP
typedef ACE_Hash_Map_Iterator_Ex< ACE_TString, Server_Info *, ACE_Hash<ACE_TString>, ACE_Equal_To< ACE_TString>, ACE_Null_Mutex> | HASH_IMR_ITER
## Public Methods
| Server_Repository ()
| Default Constructor.
| ~Server_Repository ()
| Destructor.
int | init ()
| Initializes the Server Repository.
int | add (const ACE_TString POA_name, const ACE_TString logical_server_name, const ACE_TString startup_command, const ImplementationRepository::EnvironmentList environment_vars, const ACE_TString working_dir, const ImplementationRepository::ActivationMode activation)
| Add a new server to the Repository.
int | update (const ACE_TString POA_name, const ACE_TString location, const ACE_TString server_object_ior)
| Update the associated process information.
int | get_startup_info (const ACE_TString POA_name, ACE_TString &logical_server_name, ACE_TString &startup_command, ImplementationRepository::EnvironmentList &environment_vars, ACE_TString &working_dir, ImplementationRepository::ActivationMode &activation)
| Returns information related to startup.
int | get_running_info (const ACE_TString POA_name, ACE_TString &location, ACE_TString &server_object_ior)
| Returns information related to a running copy.
int | starting_up (const ACE_TString POA_name, int new_value)
| Checks the starting_up_ variable in the Server_Info and returns the previous value or -1 if the POA_name wasn't found.
int | starting_up (const ACE_TString POA_name)
| Same as above but does not alter the value.
int | remove (const ACE_TString POA_name)
| Removes the server from the Repository.
HASH_IMR_ITER* | new_iterator ()
| Returns a new iterator that travels over the repository.
size_t | get_repository_size ()
| Returns the number of entries in the repository.
## Private Attributes
HASH_IMR_MAP | repository_
ACE_Configuration_Section_Key | servers_

## Detailed Description

Repository of Server_Infos.

Handles the storage, updating, and startup of servers.

## Member Typedef Documentation

typedef ACE_Hash_Map_Entry<ACE_TString, Server_Info *> Server_Repository::HASH_IMR_ENTRY

typedef ACE_Hash_Map_Iterator_Ex<ACE_TString, Server_Info *, ACE_Hash<ACE_TString>, ACE_Equal_To<ACE_TString>, ACE_Null_Mutex> Server_Repository::HASH_IMR_ITER

typedef ACE_Hash_Map_Manager_Ex<ACE_TString, Server_Info *, ACE_Hash<ACE_TString>, ACE_Equal_To<ACE_TString>, ACE_Null_Mutex> Server_Repository::HASH_IMR_MAP

## Constructor & Destructor Documentation

Server_Repository::Server_Repository ( | )

| Default Constructor.

Server_Repository::~Server_Repository ( | )

| Destructor.

## Member Function Documentation

int Server_Repository::add ( | const ACE_TString POA_name,
| const ACE_TString logical_server_name,
| const ACE_TString startup_command,
| const ImplementationRepository::EnvironmentList environment_vars,
| const ACE_TString working_dir,
| const ImplementationRepository::ActivationMode activation )

| Add a new server to the Repository.

size_t Server_Repository::get_repository_size ( | void )

| Returns the number of entries in the repository.

int Server_Repository::get_running_info ( | const ACE_TString POA_name,
| ACE_TString & location,
| ACE_TString & server_object_ior )

| Returns information related to a running copy.

int Server_Repository::get_startup_info ( | const ACE_TString POA_name,
| ACE_TString & logical_server_name,
| ACE_TString & startup_command,
| ImplementationRepository::EnvironmentList & environment_vars,
| ACE_TString & working_dir,
| ImplementationRepository::ActivationMode & activation )

| Returns information related to startup.

int Server_Repository::init ( | )

| Initializes the Server Repository.

HASH_IMR_ITER * Server_Repository::new_iterator ( | void )

| Returns a new iterator that travels over the repository.

int Server_Repository::remove ( | const ACE_TString POA_name )

| Removes the server from the Repository.

int Server_Repository::starting_up ( | const ACE_TString POA_name )

| Same as above but does not alter the value.

int Server_Repository::starting_up ( | const ACE_TString POA_name,
| int new_value )

| Checks the starting_up_ variable in the Server_Info and returns the previous value or -1 if the POA_name wasn't found.

int Server_Repository::update ( | const ACE_TString POA_name,
| const ACE_TString location,
| const ACE_TString server_object_ior )

| Update the associated process information.

## Member Data Documentation

HASH_IMR_MAP Server_Repository::repository_`[private]`

ACE_Configuration_Section_Key Server_Repository::servers_`[private]`

The documentation for this class was generated from the following files:

- Repository.h
- Repository.cpp